Subject: RE: bug#21305: 25.0.50; `get-buffer-window-list' doc - what order?

From: Drew Adams <[email-masked]>
Date: Sat, 22 Aug 2015 12:01:59 -0700 (PDT)

> > (S?he should know whether the return value of `get-buffer-window-
> > list' is a new list (it is), so that `sort' can be applied to it
> > without causing problems elsewhere.  For that, s?he will want to
> > consult the code of `get-buffer-window-list'.)
> 
> I see no reason for consulting the source code, just to know whether
> it's safe to sort that list.  It would be silly, to say the least,
> for Emacs to give Lisp programs direct access to a list that is used
> internally by Emacs and whose order is important.  IOW, it is safe
> to assume that the returned list can be freely manipulated.

Good to know.  So any lists returned by functions in the source
code are either new (conses) or there is no source code that
points to them.  That makes sense, but I wasn't sure it was sure
to be the case.